/**
 * @file 	ConstantSequence.java
 * 
 * @date 	Aug 15, 2004
 * @author 	Alexandre Bouchard
 */

package ca.mcgill.rl.util;


/**
 *
 */
public class ConstantSequence implements RealSequence
{
    private double constant = 1;
    
    public ConstantSequence()
    {
    }

    public ConstantSequence(double constant)
    {
        this.constant = constant;
    }
    
    /**
     * @param n
     * @return
     */
    public double getTerm(int n)
    {
        return constant;
    }
}
