/**
 * @file 	ProbabilityMeasure.java
 * 
 * @date 	Aug 16, 2004
 * @author 	Alexandre Bouchard
 */

package ca.mcgill.rl.util;


/**
 *
 */
public interface ProbabilityMeasure
{
    /**
     * @param function
     * @return
     */
    public double integrate(RealValuedFunction function);
    
    /**
     * @param stateSpace
     */
    public void setStateSpace(StateSpace stateSpace);
    
    /**
     * @return
     */
    public StateSpace getStateSpace();
}
