/**
 * @file 	RationalSequence.java
 * 
 * @date 	Aug 18, 2004
 * @author 	Alexandre Bouchard
 */

package ca.mcgill.rl.util;

/**
 *
 */
public class RationalSequence implements RealSequence, Configurable
{
    /**
     * TODO:
     * Comment for <code>propertyPrefix</code>
     */
    private static String propertyPrefix = "RationalSequence.";
    
    private double scalingFactor;

    /**
     * @param n
     * @return
     */
    public double getTerm(int n)
    {
        return (scalingFactor / (double) (n + scalingFactor));
    }

    /**
     * @param properties
     */
    public void configure(TypedProperties properties)
    {
        scalingFactor = properties.getPropertyAsDouble(propertyPrefix + "scalingFactor");
    }

}
