#! /bin/sh

# Alexandre Bouchard-Cote

SERVER_LIST=servers
EXPERIMENT_DIR=alex_experiments

echo Sending files to remote home folder...
scp -r ../bin abouch18@mimi.cs.mcgill.ca:~/
echo Preparing remote home folder for execution...
ssh abouch18@mimi.cs.mcgill.ca mv bin/ca ./
ssh abouch18@mimi.cs.mcgill.ca mv bin $EXPERIMENT_DIR

for i in `cat $SERVER_LIST`
do  
	echo Launching test on $i...
	ssh $i cp -Rf $EXPERIMENT_DIR /tmp/
	ssh $i java $1 /tmp/$EXPERIMENT_DIR/$2 > /dev/null &
done