#! /bin/sh

# Alexandre Bouchard-Cote

TEMP_FILE=temp

for i in `ls | grep .3dd`
do
	echo Plotting $i in 3D...
	echo set terminal png > $TEMP_FILE
	echo set dgrid3d 100,100,8 >> $TEMP_FILE
	echo set output \"graph.$i.png\" >> $TEMP_FILE
	echo splot \"$i\" with lines >> $TEMP_FILE
	gnuplot $TEMP_FILE
	rm $i
done

for i in `ls | grep .2dd`
do
	echo Plotting $i in 2D...
	echo set terminal png > $TEMP_FILE
	echo set output \"graph.$i.png\" >> $TEMP_FILE
	echo plot \"$i\" >> $TEMP_FILE
	gnuplot $TEMP_FILE
	rm $i
done

for i in `ls | grep .hist`
do
	echo Plotting $i as an histogram...
	echo set terminal png > $TEMP_FILE
	echo set output \"graph.$i.png\" >> $TEMP_FILE
	echo plot \"$i\" with lines >> $TEMP_FILE
	gnuplot $TEMP_FILE
done

rm $TEMP_FILE



	
